Debian Bug report logs - #285726
gnome-vfs2: libhttp.so module causes instant crash on 64-bit machines

version graph

Package: gnome-vfs2; Maintainer for gnome-vfs2 is (unknown);

Reported by: David Mosberger-Tang <David.Mosberger@acm.org>

Date: Wed, 15 Dec 2004 05:18:03 UTC

Severity: grave

Tags: patch

Fixed in version gnome-vfs2/2.8.3-8

Done: Sebastien Bacher <seb128@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Takuo KITAME <kitame@debian.org>:
Bug#285726; Package gnome-vfs2. Full text and rfc822 format available.

Acknowledgement sent to David Mosberger-Tang <David.Mosberger@acm.org>:
New Bug report received and forwarded. Copy sent to Takuo KITAME <kitame@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: David Mosberger-Tang <David.Mosberger@acm.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: gnome-vfs2: libhttp.so module causes instant crash on 64-bit machines
Date: Tue, 14 Dec 2004 21:12:47 -0800
Package: gnome-vfs2
Severity: normal
Tags: patch


It's very annoying when bug-buddy itself crashes.  At the moment, this
is what happens on any 64-bit machine because the libhttp module has
some 64-bit cleanliness issues.  In particular, there are two files
which call stpcpy().  Since the files are compiled without
-D_GNU_SOURCE, the routine ends up getting declared implicitly as
returning "int", which is deadly on 64-bit platforms.

The patch below is one way to fix the problem.  Another solution would
be to add -D_GNU_SOURCE to CPPFLAGS.  Either way is fine with me, as
long as the package gets fixed... ;-)

Thanks!

	--david

-- System Information:
Debian Release: 3.1
  APT prefers testing
  APT policy: (990, 'testing'), (500, 'unstable')
Architecture: ia64
Kernel: Linux 2.6.10-rc2
Locale: LANG=C, LC_CTYPE=C (charmap=ANSI_X3.4-1968)

---
diff -urN -x '*.lo' -x '*.la' -x .deps -x .libs gnome-vfs2-2.8.3-orig/imported/neon/ne_session.c gnome-vfs2-2.8.3/imported/neon/ne_session.c
--- gnome-vfs2-2.8.3-orig/imported/neon/ne_session.c	2004-07-02 07:52:12.000000000 -0700
+++ gnome-vfs2-2.8.3/imported/neon/ne_session.c	2004-12-14 20:54:54.744379416 -0800
@@ -23,6 +23,7 @@
 
 #include "config.h"
 
+#define _GNU_SOURCE
 #ifdef HAVE_STRING_H
 #include <string.h>
 #endif
diff -urN -x '*.lo' -x '*.la' -x .deps -x .libs gnome-vfs2-2.8.3-orig/imported/neon/ne_string.c gnome-vfs2-2.8.3/imported/neon/ne_string.c
--- gnome-vfs2-2.8.3-orig/imported/neon/ne_string.c	2004-07-24 07:39:43.000000000 -0700
+++ gnome-vfs2-2.8.3/imported/neon/ne_string.c	2004-12-14 20:57:11.293999272 -0800
@@ -21,6 +21,7 @@
 
 #include "config.h"
 
+#define _GNU_SOURCE
 #ifdef HAVE_STDLIB_H
 #include <stdlib.h>
 #endif



Information forwarded to debian-bugs-dist@lists.debian.org, Takuo KITAME <kitame@debian.org>:
Bug#285726; Package gnome-vfs2. Full text and rfc822 format available.

Acknowledgement sent to Ian Wienand <ianw@gelato.unsw.edu.au>:
Extra info received and forwarded to list. Copy sent to Takuo KITAME <kitame@debian.org>. Full text and rfc822 format available.

Message #10 received at 285726@bugs.debian.org (full text, mbox):

From: Ian Wienand <ianw@gelato.unsw.edu.au>
To: davidm@hpl.hp.com
Cc: 285726@bugs.debian.org
Subject: Re: fix for bug-buddy crash
Date: Thu, 16 Dec 2004 09:13:19 +1100
On Tue, Dec 14, 2004 at 09:50:52PM -0800, David Mosberger wrote:
> Note that the root-cause of the bug-buddy crash is actually libhttp.so
> in gnome-vfs2 so I assume the bug really affects anything that wants
> to make an http connection via VFS.  Not that I understand any of
> this. ;-)

I reported this one upstream a little while ago.

http://bugzilla.gnome.org/show_bug.cgi?id=160052

-i



Information forwarded to debian-bugs-dist@lists.debian.org, Takuo KITAME <kitame@debian.org>:
Bug#285726; Package gnome-vfs2. Full text and rfc822 format available.

Acknowledgement sent to davidm@hpl.hp.com:
Extra info received and forwarded to list. Copy sent to Takuo KITAME <kitame@debian.org>. Full text and rfc822 format available.

Message #15 received at 285726@bugs.debian.org (full text, mbox):

From: David Mosberger <davidm@napali.hpl.hp.com>
To: Ian Wienand <ianw@gelato.unsw.edu.au>
Cc: davidm@hpl.hp.com, 285726@bugs.debian.org
Subject: Re: fix for bug-buddy crash
Date: Wed, 15 Dec 2004 14:20:15 -0800
>>>>> On Thu, 16 Dec 2004 09:13:19 +1100, Ian Wienand <ianw@gelato.unsw.edu.au> said:

  >> Note that the root-cause of the bug-buddy crash is actually
  >> libhttp.so in gnome-vfs2 so I assume the bug really affects
  >> anything that wants to make an http connection via VFS.  Not that
  >> I understand any of this. ;-)

  Ian> I reported this one upstream a little while ago.

  Ian> http://bugzilla.gnome.org/show_bug.cgi?id=160052

Would it be possible (reasonable?) to cc debian-ia64 on such reports?
I certainly would love to see such reports.

	--david



Information forwarded to debian-bugs-dist@lists.debian.org, Takuo KITAME <kitame@debian.org>:
Bug#285726; Package gnome-vfs2. Full text and rfc822 format available.

Acknowledgement sent to dann frazier <dannf@hp.com>:
Extra info received and forwarded to list. Copy sent to Takuo KITAME <kitame@debian.org>. Full text and rfc822 format available.

Message #20 received at 285726@bugs.debian.org (full text, mbox):

From: dann frazier <dannf@hp.com>
To: 285726@bugs.debian.org
Subject: also breaks planner
Date: Thu, 16 Dec 2004 03:53:39 -0700
This bug also causes planner to segfault on start.
I've verified that it goes away when rebuilding w/ David's patch.

Program received signal SIGSEGV, Segmentation fault.
[Switching to Thread 16384 (LWP 6394)]
0x2000000001f21370 in memcpy () from /usr/lib/debug/libc.so.6.1
(gdb) bt
#0  0x2000000001f21370 in memcpy () from /usr/lib/debug/libc.so.6.1
#1  0x2000000002d1ee00 in ne_set_useragent ()
   from /usr/lib/gnome-vfs-2.0/modules/libhttp.so
#2  0x2000000002d13b20 in neon_setup_headers ()
   from /usr/lib/gnome-vfs-2.0/modules/libhttp.so
#3  0x2000000002d14160 in neon_setup_headers ()
   from /usr/lib/gnome-vfs-2.0/modules/libhttp.so
#4  0x2000000002d17050 in do_get_file_info ()
   from /usr/lib/gnome-vfs-2.0/modules/libhttp.so
#5  0x20000000013889b0 in gnome_vfs_get_file_info_uri_cancellable ()
   from /usr/lib/libgnomevfs-2.so.0
#6  0x20000000013bfab0 in gnome_vfs_get_file_info_uri ()
   from /usr/lib/libgnomevfs-2.so.0
#7  0x20000000013bfa20 in gnome_vfs_get_file_info ()
   from /usr/lib/libgnomevfs-2.so.0
#8  0x20000000013b4c70 in gnome_vfs_get_mime_type ()
   from /usr/lib/libgnomevfs-2.so.0
#9  0x4000000000071360 in egg_recent_item_new_from_uri (
    uri=0x6000000000148198 "") at egg-recent-item.c:97
#10 0x400000000006dc60 in planner_window_open (window=0x60000000000b2ed0,
    uri=0x60000fffffffba2c "hpde-te-1.2-20041015.planner")
    at planner-window.c:1527
#11 0x4000000000040030 in main (argc=36568, argv=0x4000000000081f08)
---Type <return> to continue, or q <return> to quit---
    at planner-main.c:100

-- 
dann frazier | HP Linux and Open Source Lab



Information forwarded to debian-bugs-dist@lists.debian.org, Takuo KITAME <kitame@debian.org>:
Bug#285726; Package gnome-vfs2. Full text and rfc822 format available.

Acknowledgement sent to davidm@hpl.hp.com:
Extra info received and forwarded to list. Copy sent to Takuo KITAME <kitame@debian.org>.

Your message did not contain a Subject field. They are recommended and useful because the title of a Bug is determined using this field. Please remember to include a Subject field in your messages in future.

Full text and rfc822 format available.


Message #25 received at 285726@bugs.debian.org (full text, mbox):

From: David Mosberger <davidm@napali.hpl.hp.com>
To: 285726@bugs.debian.org
Date: Fri, 7 Jan 2005 18:12:03 -0800
severity grave



Severity set to `grave'. Request was from David Mosberger <davidm@napali.hpl.hp.com> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Sebastien Bacher <seb128@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to David Mosberger-Tang <David.Mosberger@acm.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #32 received at 285726-close@bugs.debian.org (full text, mbox):

From: Sebastien Bacher <seb128@debian.org>
To: 285726-close@bugs.debian.org
Subject: Bug#285726: fixed in gnome-vfs2 2.8.3-8
Date: Sat, 08 Jan 2005 08:02:14 -0500
Source: gnome-vfs2
Source-Version: 2.8.3-8

We believe that the bug you reported is fixed in the latest version of
gnome-vfs2, which is due to be installed in the Debian FTP archive:

gnome-vfs2_2.8.3-8.diff.gz
  to pool/main/g/gnome-vfs2/gnome-vfs2_2.8.3-8.diff.gz
gnome-vfs2_2.8.3-8.dsc
  to pool/main/g/gnome-vfs2/gnome-vfs2_2.8.3-8.dsc
libgnomevfs2-0_2.8.3-8_i386.deb
  to pool/main/g/gnome-vfs2/libgnomevfs2-0_2.8.3-8_i386.deb
libgnomevfs2-common_2.8.3-8_i386.deb
  to pool/main/g/gnome-vfs2/libgnomevfs2-common_2.8.3-8_i386.deb
libgnomevfs2-dev_2.8.3-8_i386.deb
  to pool/main/g/gnome-vfs2/libgnomevfs2-dev_2.8.3-8_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 285726@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Sebastien Bacher <seb128@debian.org> (supplier of updated gnome-vfs2 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sat,  8 Jan 2005 13:00:05 +0100
Source: gnome-vfs2
Binary: libgnomevfs2-dev libgnomevfs2-0 libgnomevfs2-common
Architecture: source i386
Version: 2.8.3-8
Distribution: unstable
Urgency: medium
Maintainer: Takuo KITAME <kitame@debian.org>
Changed-By: Sebastien Bacher <seb128@debian.org>
Description: 
 libgnomevfs2-0 - The GNOME virtual file-system library (runtime files)
 libgnomevfs2-common - The GNOME virtual file-system library (common files)
 libgnomevfs2-dev - The GNOME virtual file-system library (development files)
Closes: 285726
Changes: 
 gnome-vfs2 (2.8.3-8) unstable; urgency=medium
 .
   * debian/patches/14_libhttp_64.patch:
     - patch from David Mosberger-Tang <David.Mosberger@acm.org> to fix a
       crasher on 64bits archs (Closes: #285726).
Files: 
 95ffc8854e54572244b953dd6193e8f3 1686 libs optional gnome-vfs2_2.8.3-8.dsc
 bd1ab5637a322c63b1d6948d881a96ae 11438 libs optional gnome-vfs2_2.8.3-8.diff.gz
 cdea0010ccc1508ad55bc39786ef42e0 1063578 devel optional libgnomevfs2-common_2.8.3-8_i386.deb
 5e13855db672c0984baa2e5b587bf110 400908 libs optional libgnomevfs2-0_2.8.3-8_i386.deb
 cbb2c7381a7ecc2cde6576b0460c71fd 474764 libdevel optional libgnomevfs2-dev_2.8.3-8_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.5 (GNU/Linux)

iD8DBQFB39cbQxo87aLX0pIRAs6iAJ4rcfVcpTutZs9q1/LaO/9EUEuWMgCg6RVI
JOdXRbjWiqBxv3Pn1k9B2gk=
=6duE
-----END PGP SIGNATURE-----




Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 12:27:11 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.